### Method

# Gimp Image find_next_guide

#### Declaration [src]

    guint
    gimp_image_find_next_guide (
      GimpImage* image,
      guint guide
    )

#### Description [src]

Find next guide on an image.

This procedure takes an image and a guide ID as input and finds the guide ID of the successor of the given guide ID in the image’s guide list. If the supplied guide ID is 0, the procedure will return the first Guide. The procedure will return 0 if given the final guide ID as an argument or the image has no guides.

#### Parameters

`guide` | `guint`
| The ID of the current guide (0 if first invocation).

#### Return value

Returns: | `guint`
| The next guide’s ID.